---
title: EcKeyImportParams
slug: Web/API/EcKeyImportParams
tags:
  - API
  - Dictionary
  - EcKeyImportParams
  - Reference
  - Web Crypto API
---
<p>{{ APIRef("Web Crypto API") }}The <strong><code>EcKeyImportParams</code></strong> dictionary of the <a href="/en-US/docs/Web/API/Web_Crypto_API">Web Crypto API </a>represents the object that should be passed as the <code>algorithm</code> parameter into {{domxref("SubtleCrypto.importKey()")}} or {{domxref("SubtleCrypto.unwrapKey()")}}, when generating any elliptic-curve-based key pair: that is, when the algorithm is identified as either of <a href="/en-US/docs/Web/API/SubtleCrypto/sign#ECDSA">ECDSA</a> or <a href="/en-US/docs/Web/API/SubtleCrypto/deriveKey#ECDH">ECDH</a>.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt><code>name</code></dt>
 <dd>A {{domxref("DOMString")}}. This should be set to <code>ECDSA</code> or <code>ECDH</code>, depending on the algorithm you want to use.</dd>
 <dt><code>namedCurve</code></dt>
 <dd>
 <p>A {{domxref("DOMString")}} representing the name of the elliptic curve to use. This may be any of the following names for <a href="https://www.nist.gov/">NIST</a>-approved curves:</p>

 <ul>
  <li><code>P-256</code></li>
  <li><code>P-384</code></li>
  <li><code>P-521</code></li>
 </ul>
 </dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>See the examples for {{domxref("SubtleCrypto.importKey()")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{ SpecName('Web Crypto API', '#dfn-EcKeyImportParams', 'SubtleCrypto.EcKeyImportParams') }}</td>
   <td>{{ Spec2('Web Crypto API') }}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>Browsers that support the "ECDH" or "ECDSA" algorithms for the {{domxref("SubtleCrypto.importKey()")}} or {{domxref("SubtleCrypto.wrapKey()")}} methods will support this type.</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("SubtleCrypto.importKey()")}}.</li>
 <li>{{domxref("SubtleCrypto.unwrapKey()")}}.</li>
</ul>
